## com.baidubce.services.bmr.model
Class Step

    java.lang.Object
      com.baidubce.services.bmr.model.Step

    public class Step

extends Object

Represent a BMR step.

Constructor Summary
`Step()`

Method Summary
`String` `getActionOnFailure()`
`String` `getId()`
`String` `getName()`
`Map<String,String>` `getProperties()`
`StepStatus` `getStatus()`
`String` `getType()`
`void` `setActionOnFailure(String actionOnFailure)`
`void` `setId(String id)`
`void` `setName(String name)`
`void` `setProperties(Map<String,String> properties)`
`void` `setStatus(StepStatus status)`
`void` `setType(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step

    public Step()

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### getActionOnFailure

    public String getActionOnFailure()

### setActionOnFailure

    public void setActionOnFailure(String actionOnFailure)

### getType

    public String getType()

### setType

    public void setType(String type)

### getProperties

    public Map<String,String> getProperties()

### setProperties

    public void setProperties(Map<String,String> properties)

### getName

    public String getName()

### setName

    public void setName(String name)

### getStatus

    public StepStatus getStatus()

### setStatus

    public void setStatus(StepStatus status)

Copyright © 2016. All rights reserved.